VEO3 官方视频生成

  • 异步处理模式,返回任务ID用于后续查询
  • 支持文本转视频、图生视频(首帧/首尾帧控制)

  • 支持 720P 和 1080P 分辨率

  • 支持 4/6/8 秒视频时长

  • 支持生成音频轨道

  • 支持人物生成策略控制

    curl --request POST \
      --url https://aiboxapi.com/v1/videos/generations \
      --header 'Authorization: Bearer <token>' \
      --header 'Content-Type: application/json' \
      --data '{
        "model": "veo3.1-fast-official",
        "prompt": "a golden retriever running on the beach, sunset, cinematic",
        "duration": 8,
        "aspect_ratio": "16:9"
      }'
    
    import requests
    
    url = "https://aiboxapi.com/v1/videos/generations"
    
    payload = {
        "model": "veo3.1-fast-official",
        "prompt": "a golden retriever running on the beach, sunset, cinematic",
        "duration": 8,
        "aspect_ratio": "16:9"
    }
    
    headers = {
        "Authorization": "Bearer <token>",
        "Content-Type": "application/json"
    }
    
    response = requests.post(url, json=payload, headers=headers)
    
    print(response.json())
    
    const url = "https://aiboxapi.com/v1/videos/generations";
    
    const payload = {
      model: "veo3.1-fast-official",
      prompt: "a golden retriever running on the beach, sunset, cinematic",
      duration: 8,
      aspect_ratio: "16:9"
    };
    
    const headers = {
      "Authorization": "Bearer <token>",
      "Content-Type": "application/json"
    };
    
    fetch(url, {
      method: "POST",
      headers: headers,
      body: JSON.stringify(payload)
    })
      .then(response => response.json())
      .then(data => console.log(data))
      .catch(error => console.error('Error:', error));
    
    package main
    
    import (
        "bytes"
        "encoding/json"
        "fmt"
        "io/ioutil"
        "net/http"
    )
    
    func main() {
        url := "https://aiboxapi.com/v1/videos/generations"
    
        payload := map[string]interface{}{
            "model":        "veo3.1-fast-official",
            "prompt":       "a golden retriever running on the beach, sunset, cinematic",
            "duration":     8,
            "aspect_ratio": "16:9",
        }
    
        jsonData, _ := json.Marshal(payload)
    
        req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
        req.Header.Set("Authorization", "Bearer <token>")
        req.Header.Set("Content-Type", "application/json")
    
        client := &http.Client{}
        resp, err := client.Do(req)
        if err != nil {
            panic(err)
        }
        defer resp.Body.Close()
    
        body, _ := ioutil.ReadAll(resp.Body)
        fmt.Println(string(body))
    }
    
    import java.net.http.HttpClient;
    import java.net.http.HttpRequest;
    import java.net.http.HttpResponse;
    import java.net.URI;
    
    public class Main {
        public static void main(String[] args) throws Exception {
            String url = "https://aiboxapi.com/v1/videos/generations";
    
            String payload = """
            {
              "model": "veo3.1-fast-official",
              "prompt": "a golden retriever running on the beach, sunset, cinematic",
              "duration": 8,
              "aspect_ratio": "16:9"
            }
            """;
    
            HttpClient client = HttpClient.newHttpClient();
            HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create(url))
                .header("Authorization", "Bearer <token>")
                .header("Content-Type", "application/json")
                .POST(HttpRequest.BodyPublishers.ofString(payload))
                .build();
    
            HttpResponse response = client.send(request,
                HttpResponse.BodyHandlers.ofString());
    
            System.out.println(response.body());
        }
    }
    
    <?php
    
    $url = "https://aiboxapi.com/v1/videos/generations";
    
    $payload = [
        "model" => "veo3.1-fast-official",
        "prompt" => "a golden retriever running on the beach, sunset, cinematic",
        "duration" => 8,
        "aspect_ratio" => "16:9"
    ];
    
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        "Authorization: Bearer <token>",
        "Content-Type: application/json"
    ]);
    
    $response = curl_exec($ch);
    curl_close($ch);
    
    echo $response;
    ?>
    
    require 'net/http'
    require 'json'
    require 'uri'
    
    url = URI("https://aiboxapi.com/v1/videos/generations")
    
    payload = {
      model: "veo3.1-fast-official",
      prompt: "a golden retriever running on the beach, sunset, cinematic",
      duration: 8,
      aspect_ratio: "16:9"
    }
    
    http = Net::HTTP.new(url.host, url.port)
    http.use_ssl = true
    
    request = Net::HTTP::Post.new(url)
    request["Authorization"] = "Bearer <token>"
    request["Content-Type"] = "application/json"
    request.body = payload.to_json
    
    response = http.request(request)
    puts response.body
    
    import Foundation
    
    let url = URL(string: "https://aiboxapi.com/v1/videos/generations")!
    
    let payload: [String: Any] = [
        "model": "veo3.1-fast-official",
        "prompt": "a golden retriever running on the beach, sunset, cinematic",
        "duration": 8,
        "aspect_ratio": "16:9"
    ]
    
    var request = URLRequest(url: url)
    request.httpMethod = "POST"
    request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
    request.setValue("application/json", forHTTPHeaderField: "Content-Type")
    request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
    
    let task = URLSession.shared.dataTask(with: request) { data, response, error in
        if let error = error {
            print("Error: \(error)")
            return
        }
    
        if let data = data, let responseString = String(data: data, encoding: .utf8) {
            print(responseString)
        }
    }
    
    task.resume()
    
    using System;
    using System.Net.Http;
    using System.Text;
    using System.Threading.Tasks;
    
    class Program
    {
        static async Task Main(string[] args)
        {
            var url = "https://aiboxapi.com/v1/videos/generations";
    
            var payload = @"{
                ""model"": ""veo3.1-fast-official"",
                ""prompt"": ""a golden retriever running on the beach, sunset, cinematic"",
                ""duration"": 8,
                ""aspect_ratio"": ""16:9""
            }";
    
            using var client = new HttpClient();
            client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
    
            var content = new StringContent(payload, Encoding.UTF8, "application/json");
            var response = await client.PostAsync(url, content);
            var result = await response.Content.ReadAsStringAsync();
    
            Console.WriteLine(result);
        }
    }
    
    {
      "code": 200,
      "data": [
        {
          "status": "submitted",
          "task_id": "task_xxxxxxxxxx"
        }
      ]
    }
    
    {
      "error": {
        "code": 400,
        "message": "请求参数无效",
        "type": "invalid_request_error"
      }
    }
    
    {
      "error": {
        "code": 401,
        "message": "身份验证失败,请检查您的API密钥",
        "type": "authentication_error"
      }
    }
    
    {
      "error": {
        "code": 402,
        "message": "账户余额不足,请充值后再试",
        "type": "payment_required"
      }
    }
    
    {
      "error": {
        "code": 429,
        "message": "请求过于频繁,请稍后再试",
        "type": "rate_limit_error"
      }
    }
    
    {
      "error": {
        "code": 500,
        "message": "服务器内部错误,请稍后重试",
        "type": "server_error"
      }
    }
    

认证

string 必填

所有接口均需要使用 Bearer Token 进行认证

获取 API Key:

访问 API Key 管理页面 获取您的 API Key

使用时在请求头中添加:

Authorization: Bearer YOUR_API_KEY

请求参数

model string 必填

视频生成模型名称

支持的模型:

  • veo3.1-fast-official - Veo 3.1 官方快速版
  • veo3.1-quality-official - Veo 3.1 官方高质量版
prompt string 必填

正向文本提示词

建议详细描述场景、动作、风格等,以获得更好的生成效果。建议使用英文提示词。

示例:"a golden retriever running on the beach, sunset, cinematic"

negative_prompt string

负面提示词,用于排除不想要的内容

示例:"blurry, low quality, watermark, text"

duration integer

视频时长(秒)

建议使用:4 / 6 / 8

默认值:8

⚠️ 注意: 必须输入纯数字(如 8),不要加引号,否则会报错

aspect_ratio string

视频宽高比

可选值:

  • 16:9 - 横屏
  • 9:16 - 竖屏

默认值:16:9

resolution string

视频分辨率

可选值:

  • 720p - 标准分辨率
  • 1080p - 高清分辨率
  • 4K - 超高清分辨率

默认值:720p

first_frame_image string

首帧图片 URL,用于图生视频

* 图片 URL 必须公开可访问,不能有防盗链
* 建议使用对象存储 URL,而非临时下载地址
last_frame_image string

尾帧图片 URL,用于图生视频

first_frame_image 配合使用,实现首尾帧控制

seed integer

随机种子,用于复现生成结果

取值范围:0 - 4294967295

sample_count integer

生成样本数量 1-4,当前建议填 1

默认值:1

generate_audio boolean

是否生成音频轨道

person_generation string

人物生成策略

可选值:

  • allow_adult - 只允许生成成人人物/成人面孔
  • disallow - 不允许生成人物或人脸

默认值:allow_adult

resize_mode string

图片缩放策略(图生视频时生效)

可选值:

  • pad - 填充模式
  • crop - 裁剪模式

默认值:pad

enhance_prompt boolean

是否启用上游提示词增强

默认值:true

* 该参数只能设置为 `true`,设置为 `false` 会导致请求报错
* 如不需要此参数,请勿传入

文生视频 vs 图生视频

系统通过是否传入图片参数自动判断模式:不传图片为文生视频,传图片为图生视频。

参数文生视频图生视频
prompt✅ 必填✅ 必填
first_frame_image❌ 不传✅ 至少传一个
last_frame_image❌ 不传✅ 可选(尾帧)
negative_prompt✅ 可选✅ 可选
duration✅ 可选✅ 可选
aspect_ratio✅ 可选✅ 可选
resolution✅ 可选✅ 可选
seed✅ 可选✅ 可选
generate_audio✅ 可选✅ 可选
person_generation✅ 可选✅ 可选
resize_mode❌ 不适用✅ 可选
enhance_prompt✅ 可选✅ 可选

响应

code integer

响应状态码,成功时为 200

data array

返回数据数组

数组元素
  任务状态,初始提交时为 `submitted`
task_id string
  任务唯一标识符,用于查询任务状态和结果

使用场景

场景 1:文生视频(基础)

{
  "model": "veo3.1-fast-official",
  "prompt": "a golden retriever running on the beach, sunset, cinematic"
}

场景 2:文生视频(完整参数)

{
  "model": "veo3.1-quality-official",
  "prompt": "a cinematic close-up of a ragdoll cat slowly walking through a sunlit living room",
  "negative_prompt": "blurry, low quality, watermark, text",
  "duration": 8,
  "aspect_ratio": "16:9",
  "resolution": "1080p",
  "seed": 12345,
  "generate_audio": true,
  "person_generation": "disallow",
  "enhance_prompt": true
}

场景 3:图生视频(单张首帧)

{
  "model": "veo3.1-fast-official",
  "prompt": "the cat slowly walks forward and looks around",
  "first_frame_image": "https://example.com/cat.png",
  "duration": 8,
  "resolution": "720p"
}

场景 4:图生视频(首帧 + 尾帧)

{
  "model": "veo3.1-quality-official",
  "prompt": "smooth cinematic transition from the first frame to the last frame",
  "first_frame_image": "https://example.com/frame-start.png",
  "last_frame_image": "https://example.com/frame-end.png",
  "duration": 8,
  "resolution": "1080p"
}

场景 5:生成带音频的视频

{
  "model": "veo3.1-quality-official",
  "prompt": "a busy coffee shop with people chatting and barista making latte art",
  "duration": 8,
  "generate_audio": true,
  "aspect_ratio": "16:9"
}

查询任务结果

视频生成为异步任务,提交后会返回 task_id。使用 获取任务状态 接口查询生成进度和结果。